I tried to modify this routine (to rename all Layout Tabs)
(vl-load-com)
(defun RenLay ( kword / n)
(setq n 1)
(vlax-for x (vla-get-Layouts (vla-get-ActiveDocument (vlax-get-acad-object)))
(if (not (eq (strcase (vla-get-name x)) "MODEL"))
(vla-put-Name x (strcat kword (itoa n)))
)
(setq n (1+ n))
)
)
Which was found here:
http://forums.augi.com/showthread.php?77060-Rename-Layout-tabs-on-multiple-dwg&highlight=rename layout
To allow me to enter the desired name as part of the routine but I obviously don't know jack..
(vl-load-com)
(defun C:RT5 (S1 / n)
(setq S1 (getstring T "\nEnter New Layout Prefix:"))
(setq n 1)
(vlax-for x (vla-get-Layouts (vla-get-ActiveDocument (vlax-get-acad-object)))
(if (not (eq (strcase (vla-get-name x)) "MODEL"))
(vla-put-Name x (strcat S1 (itoa n)))
)
(setq n (1+ n))
)
)
When I run the routine I just get *Cancel*
I want to change the number(s) to start with a zero (01) but I'll "attempt" that next...
If someone could explain "WHY" this doesn't work, I'd appreciate it..